#include <avr/io.h>
#include <inttypes.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include "harddef.h"
#include "makra.h"
#include "AD9835.h"
#include "lcd.h"

//uint8_t  			
//uint8_t  
//uint8_t 
//uint8_t 
//uint8_t 
//uint8_t 
//uint8_t 
//uint8_t 
//uint8_t 
//uint8_t 
//uint8_t 
//prog_uint8_t		
//uint8_t  PROGMEM 

void AVRInit(void)
{
	DDR(CTRL_PORT) = 0x7C;	//dwa najmodsze bity jako wejcia
	PORT(CTRL_PORT)= 0x3 | 1<<FSYNC | _BV(SCLK);  //pull-up	
	
	DDR(LCD_DPORT) = 1<<LCD_E | 1<<LCD_RS | 0x0F<<LCD_D4;
}


int main(void)
{
	AVRInit();
	lcd_init();
	lcd_cls();
	//DDS_Init();
	
	//lcd_str("Ha");
	DDS_SendWord(0xF800);
	DDS_SendWord(0x330a);
	DDS_SendWord(0x22f8);  
	DDS_SendWord(0x3100);
	DDS_SendWord(0x2000);
	DDS_SendWord(0xC000);
	
	for(;;)
	{	
	}
	
	return 0 ;
}

