#include <avr/io.h>
#include "AD9835.h"
#include "makra.h"
#include "harddef.h"
#include "delay.h"
#include "lcd.h"

void DDS_SendWord(uint16_t Data)				
{
	uint16_t n;

	PORT(CTRL_PORT) &= ~(1<<FSYNC);

	for(n=0x8000; n>0; n>>=1)
	{	
		if(Data & n) 							
		{
			PORT(CTRL_PORT) |= (1<<SDATA);
			lcd_dec(1);
		}
		else
		{
			PORT(CTRL_PORT) &= ~(1<<SDATA);
			lcd_dec(0);
		}
		//NOP();
		PORT(CTRL_PORT) &= ~(1<<SCLK);
		//NOP();
		PORT(CTRL_PORT) |= (1<<SCLK);
	}
	
	PORT(CTRL_PORT) |= (1<<SCLK);
	PORT(CTRL_PORT) |= (1<<FSYNC);
	//NOP();					
}


void DDS_SetFreq(uint32_t Freq)
{
	//DDS_SendWord();
	//DDS_SendWord();
	//DDS_SendWord();
	//DDS_SendWord();
}

void DDS_Init(void)
{
	DDS_SendWord(0xFFFF);	//reset ukadu
	DDS_SendWord(0xC000);	//wczenie ukadu
}